/*================================================*/

/*** Geocoder control ***/

.nlmaps-hidden {
  display: none;
}

.nlmaps-geocoder-control-container {
  color: #420f00;
  display: flex;
  justify-content: center;
}
.nlmaps-geocoder-control-search {
  display: flex;
  flex-flow: row;
}
.nlmaps-geocoder-control-container li {
}

.nlmaps-geocoder-control-container input[type="text"] {
  flex-grow: 1;
  padding: 4px 10px;
  border: none;
  background-color: rgb(255, 255, 255);
  /* box-shadow: rgba(0, 0, 0, 0.65) 0px 1px 5px; */
  border-radius: 5px 0px 0px 5px;
  outline: none;
}
.nlmaps-geocoder-control-button {
  width: 34px;
  border: none;
  background-color: rgb(255, 255, 255);
  /* background-image: url('../img/search_icon.svg'); */
  /* box-shadow: rgba(0, 0, 0, 0.65) 0px 1px 5px; */
  height: 34px;
  border-radius: 0px 5px 5px 0px;
  outline: none;
  background-size: cover;
  cursor: pointer;
}
.nlmaps-geocoder-control-button:hover {
  background-color: #420f00;
  color: #fff;
}
.nlmaps-geocoder-control-button:hover path {
  color: #fff;
}

.nlmaps-geocoder-result-list {
  margin-top:5px;
  position: absolute;
  color: #420f00;
  padding: 5px 5px 5px 5px;
  width: 20%;
  background-color: #fff;
  border-radius: 5px 5px;
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.65);
}

.nlmaps-geocoder-result-selected {
  font-weight: bold;
}

.nlmaps-geocoder-result-list li {
  position: relative;
  cursor: pointer;
  padding: 5px;
  list-style-type: none;
  margin-bottom: 5px;
}

.nlmaps-geocoder-result-list li a {
  color: #420f00;
  text-decoration: none;
}

.nlmaps-geocoder-result-list li:hover {
  font-weight: bold;
}

@media (max-width: 768px) {
  .nlmaps-geocoder-control-container {
    width: 100%;
  }
  .nlmaps-geocoder-control-search {
    display: flex;
    flex-flow: row;
    width: 100%;
  }
  .nlmaps-geocoder-control-container input[type="text"] {
    max-width: 400px;
    width:100%;
  }
  .nlmaps-geocoder-control-button {
    display: none;
  }
  .nlmaps-geocoder-result-list {
    max-width: 300px;
    width:45%;
    font-size: 80%;
  }
  #loader {
    width: 100px;
  }
}
